// Command.h: CCommand NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COMMAND_H__52945986_4D2C_40F2_915E_FD984917E391__INCLUDED_)
#define AFX_COMMAND_H__52945986_4D2C_40F2_915E_FD984917E391__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <string>

class CCommand  
{
public:
	CCommand(int CommandID);
	virtual ~CCommand();

	bool GetIniData(const char *IniFileName, const char *AppName);
	bool Execute(void);

	int GetCommandID(void);
	LPCSTR GetCaption(void);

private:
	void ExpandEnv(std::string &str);
	void GetToken(std::string str, std::string &result, std::string::size_type &index);

private:
	int			m_CommandID;
	std::string	m_Caption;
	std::string	m_Command;
	std::string	m_Parameter;
	std::string m_Directory;
};

#endif // !defined(AFX_COMMAND_H__52945986_4D2C_40F2_915E_FD984917E391__INCLUDED_)
